<?php
add_action( 'after_setup_theme', 'PREMIUM77_setup' );
function PREMIUM77_setup()
{
load_theme_textdomain( 'PREMIUM77', get_template_directory() . '/languages' );
add_theme_support( 'title-tag' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'post-thumbnails' );
global $content_width;
if ( ! isset( $content_width ) ) $content_width = 640;
register_nav_menus(
array(
	'contact-menu' => __( 'Contact Menu', 'PREMIUM77' ),
	'login-menu' => __( 'Login Menu', 'PREMIUM77' ),
	'main-menu' => __( 'Main Menu', 'PREMIUM77' ),
	'sidebar-menu' => __( 'Sidebar Menu', 'PREMIUM77' ),
	'sidebar-menu2' => __( 'Sidebar Menu2', 'PREMIUM77' ))
	
);
}

function prefix_nav_description( $item_output, $item, $depth, $args ) {
    if ( !empty( $item->description ) ) {
        $item_output = str_replace( $args->link_after . '</a>', '<span class="menu-item-description">' . $item->description . '</span>' . $args->link_after . '</a>', $item_output );
    }
 
    return $item_output;
}
add_filter( 'walker_nav_menu_start_el', 'prefix_nav_description', 10, 4 );

add_action( 'wp_enqueue_scripts', 'PREMIUM77_load_scripts' );
function PREMIUM77_load_scripts()
{
wp_enqueue_script( 'jquery' );
}
add_action( 'comment_form_before', 'PREMIUM77_enqueue_comment_reply_script' );
function PREMIUM77_enqueue_comment_reply_script()
{
if ( get_option( 'thread_comments' ) ) { wp_enqueue_script( 'comment-reply' ); }
}
add_filter( 'the_title', 'PREMIUM77_title' );
function PREMIUM77_title( $title ) {
if ( $title == '' ) {
return '&rarr;';
} else {
return $title;
}
}
add_filter( 'wp_title', 'PREMIUM77_filter_wp_title' );
function PREMIUM77_filter_wp_title( $title )
{
return $title . esc_attr( get_bloginfo( 'name' ) );
}
add_action( 'widgets_init', 'PREMIUM77_widgets_init' );
function PREMIUM77_widgets_init()
{
register_sidebar( array (
		'name' => __( 'Sidebar Widget Area', 'PREMIUM77' ),
		'id' => 'primary-widget-area',
		'before_widget' => '<li id="%1$s" class="widget-container %2$s">',
		'after_widget' => "</li>",
		'before_title' => '<h3 class="widget-title">',
		'after_title' => '</h3>',
	) );
}
function PREMIUM77_custom_pings( $comment )
{
$GLOBALS['comment'] = $comment;
?>
<li <?php comment_class(); ?> id="li-comment-<?php comment_ID(); ?>"><?php echo comment_author_link(); ?></li>
<?php 
}
add_filter( 'get_comments_number', 'PREMIUM77_comments_number' );
function PREMIUM77_comments_number( $count )
{
if ( !is_admin() ) {
global $id;
$comments_by_type = &separate_comments( get_comments( 'status=approve&post_id=' . $id ) );
return count( $comments_by_type['comment'] );
} else {
return $count;
}
}
function wpdocs_excerpt_more( $more ) {
    return sprintf( '<a class="read-more" href="%1$s">%2$s</a>',
        get_permalink( get_the_ID() ),
        __( '&nbsp;Read Post', 'textdomain' )
    );
}
add_filter( 'excerpt_more', 'wpdocs_excerpt_more' );

// Remove jQuery Migrate Script from header and Load jQuery from Google API
function crunchify_stop_loading_wp_embed_and_jquery() {
	if (!is_admin()) {
		wp_deregister_script('wp-embed');
		wp_deregister_script('jquery');  // Bonus: remove jquery too if it's not required
	}
}
add_action('init', 'crunchify_stop_loading_wp_embed_and_jquery');

remove_action( 'wp_head', 'print_emoji_detection_script', 7 ); 
remove_action( 'admin_print_scripts', 'print_emoji_detection_script' ); 
remove_action( 'wp_print_styles', 'print_emoji_styles' ); 
remove_action( 'admin_print_styles', 'print_emoji_styles' );

function remove_recent_comments_style() {
    global $wp_widget_factory;
    remove_action('wp_head', array($wp_widget_factory->widgets['WP_Widget_Recent_Comments'], 'recent_comments_style'));
}
add_action('widgets_init', 'remove_recent_comments_style');

// Don't load Gutenberg-related stylesheets.
add_action( 'wp_enqueue_scripts', 'remove_block_css', 100 );
function remove_block_css() {
wp_dequeue_style( 'wp-block-library' ); // WordPress core
wp_dequeue_style( 'wp-block-library-theme' ); // WordPress core
wp_dequeue_style( 'wc-block-style' ); // WooCommerce
wp_dequeue_style( 'storefront-gutenberg-blocks' ); // Storefront theme
}




/**
 * Redirect categories, tags, date, author and specific custom taxonomies to homepage
 */
function my_redirect_taxonomy_archive() {
    // redirect category, tag, date, author archives
    if (
        is_category() ||
        is_tag() ||
        is_date() ||
        is_author()
    ){
        wp_redirect( home_url(), 301 );
    } else if ( is_tax() ) { // redirect custom taxonomy term archives
        $archive_taxonomies_to_redirect = [
            'rtp-live',
            '',
			'',
			'',
        ];
 
        foreach($archive_taxonomies_to_redirect as $taxonomy) {
            if ( is_tax( $taxonomy ) ) {
                wp_redirect( home_url(), 301 );
            }
        }
    }
}
add_action( 'template_redirect', 'my_redirect_taxonomy_archive' );


function example_cats_related_post() {

    $post_id = get_the_ID();
    $cat_ids = array();
    $categories = get_the_category( $post_id );

    if(!empty($categories) && !is_wp_error($categories)):
        foreach ($categories as $category):
            array_push($cat_ids, $category->term_id);
        endforeach;
    endif;

    $current_post_type = get_post_type($post_id);

    $query_args = array( 
        'category__in'   => $cat_ids,
        'post_type'      => $current_post_type,
        'post__not_in'    => array($post_id),
        'posts_per_page'  => '8',
     );

    $related_cats_post = new WP_Query( $query_args );

    if($related_cats_post->have_posts()):
         while($related_cats_post->have_posts()): $related_cats_post->the_post(); ?>
		 
			<div class="col-sm-3" data-game="<?php the_title_attribute(); ?>" id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
            <section class="entry-wrapper">
				<div class="entry-image">
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_post_thumbnail(); ?></a>
				</div>
				<div class="entry-title">
					<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" rel="bookmark"><?php the_title(); ?></a>
				</div>
			</section>
			</div>
		

        <?php endwhile;
		
        // Restore original Post Data
        wp_reset_postdata();
     endif;

}